:root {
    --loading-spinner-size: 1rem;
    --loading-spinner-gap: 1;
    /* [1] */
    --loading-spinner-wrapper: calc(var(--loading-spinner-size) * 3 + var(--loading-spinner-gap) * var(--loading-spinner-size) * 2);
    /* [2] */
    --loading-spinner-color: #467fcf;

    --animation-timing: cubic-bezier(0, 1, 1, 0);
    --animation-duration: 600ms;
    --animation-count: infinite;
}

.loader-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #ffffff;
    z-index: 10000;
    transition: opacity 0.75s, visibility 0.75s;
}

.load--hidden {
    opacity: 0;
    visibility: hidden;
}

.load--submit {
    opacity: 1;
    background: #f8f8f8ac;
    display: block;
}

.loader-container .loading-text {
    letter-spacing: 5px;
    margin: 0;
    color: #7b4da3;
}

/* HTML: <div class="loader"></div> */
.loader {
    width: 100px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.loader img {
    width: 100%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    to {
        transform: rotate(1turn);
    }
}
